Arbor 3: FSM & BT Graph Editor 3.6.4

Static Public Member Functions | List of all members
AttributeHelper Class Reference

A helper class for Attribute. More...

## Static Public Member Functions
static Attribute [] | GetAttributes (MemberInfo member)
| Get Attributes. More...
static Attribute | GetAttribute (MemberInfo member, System.Type targetType)
| Get Attribute (generic) More...
static T | GetAttribute< T > (MemberInfo member)
| Get Attribute (generic) More...
static T [] | GetAttributes< T > (MemberInfo member)
| Get Attribute (generic) More...
static bool | HasAttribute (MemberInfo member, System.Type targetType)
| Whether has Attribute More...
static bool | HasAttribute< T > (MemberInfo member)
| Whether has Attribute More...

## Detailed Description

A helper class for Attribute.

## Member Function Documentation

## ◆ GetAttribute()

static Attribute GetAttribute | ( | MemberInfo | member,
|  | System.Type | targetType
| ) |  |
| static

Get Attribute (generic)

Parameters

  member | MemberInfo
  targetType | Target Type

Returns
  Attribute

## ◆ GetAttribute< T >()

static T GetAttribute< T > | ( | MemberInfo | member | ) |
| static

Get Attribute (generic)

Template Parameters

  T | Target Type

Parameters

  member | MemberInfo

Returns
  Attribute

Type Constraints

  T | : | Attribute |

## ◆ GetAttributes()

static Attribute [] GetAttributes | ( | MemberInfo | member | ) |
| static

Get Attributes.

Parameters

  member | MemberInfo

Returns
  Attributes

## ◆ GetAttributes< T >()

static T [] GetAttributes< T > | ( | MemberInfo | member | ) |
| static

Get Attribute (generic)

Template Parameters

  T | Target Type

Parameters

  member | MemberInfo

Returns
  Attribute

Type Constraints

  T | : | Attribute |

## ◆ HasAttribute()

static bool HasAttribute | ( | MemberInfo | member,
|  | System.Type | targetType
| ) |  |
| static

Whether has Attribute

Parameters

  member | MemberInfo
  targetType | Target Type

Returns
  Whether has attribute.

## ◆ HasAttribute< T >()

static bool HasAttribute< T > | ( | MemberInfo | member | ) |
| static

Whether has Attribute

Template Parameters

  T | Target Type

Parameters

  member | MemberInfo

Returns
  Whether has attribute.

Type Constraints

  T | : | Attribute |